Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_Advanced_Resource_Factory Class Reference

`#include <advanced_resource.h>`

Inheritance diagram for TAO_Advanced_Resource_Factory

[legend]
Collaboration diagram for TAO_Advanced_Resource_Factory:

[legend]
List of all members.

## Public Types
enum | { TAO_ALLOCATOR_NULL_LOCK }
enum | { TAO_REACTOR_SELECT_MT, TAO_REACTOR_SELECT_ST, TAO_REACTOR_FL, TAO_REACTOR_TK, TAO_REACTOR_WFMO, TAO_REACTOR_MSGWFMO, TAO_REACTOR_TP }
## Public Methods
| TAO_Advanced_Resource_Factory (void)
virtual | ~TAO_Advanced_Resource_Factory (void)
virtual int | init (int argc, char* argv[])
virtual int | init_protocol_factories (void)
virtual ACE_Allocator* | input_cdr_dblock_allocator (void)
virtual ACE_Allocator* | input_cdr_buffer_allocator (void)
virtual ACE_Allocator* | input_cdr_msgblock_allocator (void)
virtual int | input_cdr_allocator_type_locked (void)
virtual TAO_ProtocolFactorySet* | get_protocol_factories (void)
virtual TAO_Connection_Purging_Strategy* | create_purging_strategy (void)
virtual TAO_LF_Strategy* | create_lf_strategy (void)
## Protected Methods
virtual ACE_Reactor_Impl* | allocate_reactor_impl (void) const
void | report_option_value_error (const char* option_name, const char* option_value)
void | report_unsupported_error (const char* option_name)
virtual int | load_default_protocols (void)
## Protected Attributes
TAO_ProtocolFactorySet | protocol_factories_
int | reactor_registry_type_
int | reactor_type_
int | cdr_allocator_type_

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  TAO_ALLOCATOR_NULL_LOCK |

anonymous enum

  | Enumeration values:
  TAO_REACTOR_SELECT_MT |
  TAO_REACTOR_SELECT_ST |
  TAO_REACTOR_FL |
  TAO_REACTOR_TK |
  TAO_REACTOR_WFMO |
  TAO_REACTOR_MSGWFMO |
  TAO_REACTOR_TP |

## Constructor & Destructor Documentation

TAO_Advanced_Resource_Factory::TAO_Advanced_Resource_Factory ( | void )

TAO_Advanced_Resource_Factory::~TAO_Advanced_Resource_Factory ( | void )`[virtual]`

## Member Function Documentation

ACE_Reactor_Impl * TAO_Advanced_Resource_Factory::allocate_reactor_impl ( | void ) const`[protected, virtual]`

| Reimplemented from TAO_Default_Resource_Factory.

TAO_LF_Strategy * TAO_Advanced_Resource_Factory::create_lf_strategy ( | void )`[virtual]`

| Reimplemented from TAO_Default_Resource_Factory.

TAO_Connection_Purging_Strategy * TAO_Advanced_Resource_Factory::create_purging_strategy ( | void )`[virtual]`

| Reimplemented from TAO_Default_Resource_Factory.

TAO_ProtocolFactorySet * TAO_Advanced_Resource_Factory::get_protocol_factories ( | void )`[virtual]`

| Reimplemented from TAO_Default_Resource_Factory.

virtual int TAO_Advanced_Resource_Factory::init ( | int argc,
| char * argv[] )`[virtual]`

| Reimplemented from TAO_Default_Resource_Factory.

int TAO_Advanced_Resource_Factory::init_protocol_factories ( | void )`[virtual]`

| Reimplemented from TAO_Default_Resource_Factory.

int TAO_Advanced_Resource_Factory::input_cdr_allocator_type_locked ( | void )`[virtual]`

| Reimplemented from TAO_Default_Resource_Factory.

ACE_Allocator * TAO_Advanced_Resource_Factory::input_cdr_buffer_allocator ( | void )`[virtual]`

| Reimplemented from TAO_Default_Resource_Factory.

ACE_Allocator * TAO_Advanced_Resource_Factory::input_cdr_dblock_allocator ( | void )`[virtual]`

| Reimplemented from TAO_Default_Resource_Factory.

ACE_Allocator * TAO_Advanced_Resource_Factory::input_cdr_msgblock_allocator ( | void )`[virtual]`

| Reimplemented from TAO_Default_Resource_Factory.

int TAO_Advanced_Resource_Factory::load_default_protocols ( | void )`[protected, virtual]`

| Reimplemented from TAO_Default_Resource_Factory.

void TAO_Advanced_Resource_Factory::report_option_value_error ( | const char * option_name,
| const char * option_value )`[protected]`

| Reimplemented from TAO_Default_Resource_Factory.

void TAO_Advanced_Resource_Factory::report_unsupported_error ( | const char * option_name )`[protected]`

## Member Data Documentation

int TAO_Advanced_Resource_Factory::cdr_allocator_type_`[protected]`

TAO_ProtocolFactorySet TAO_Advanced_Resource_Factory::protocol_factories_`[protected]`

int TAO_Advanced_Resource_Factory::reactor_registry_type_`[protected]`

int TAO_Advanced_Resource_Factory::reactor_type_`[protected]`

The documentation for this class was generated from the following files:

- advanced_resource.h
- advanced_resource.cpp